For Developers
List Credentials
GET https://ed.link/api/v2/teams/:team_id/applications/:application_id/credentials
Returns all API credentials for the application ordered by sequence.
Permissions
Requires the credentials.read system permission.
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
:team_id | UUID | Yes | The ID of the team. |
:application_id | UUID | Yes | The ID of the application. |
Sample Request
const response = await axios.get(
`https://ed.link/api/v2/teams/${team_id}/applications/${application_id}/credentials`,
{
headers: {
authorization: `Bearer ${user_session_token}`
}
}
);
Sample Response
{
"$data": [
{
"id": "8aa73a24-c279-4a45-9123-9cda31cc316b",
"created_date": "2024-01-15T08:00:00.000Z",
"name": "Primary Server Key",
"secret": "sk_live_abc123...xyz789"
}
]
}
